Delete a global custom field definition
DELETE
/custom-fields/definitions/global/{definition}
const url = 'https://projects.work.optidata.cloud/api/custom-fields/definitions/global/1';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://projects.work.optidata.cloud/api/custom-fields/definitions/global/1 \ --header 'Authorization: Bearer <token>'Soft-deletes the global definition across all boards. Restricted to administrators.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”definition
required
integer
Custom field definition id.
Responses
Section titled “Responses”Definition deleted. No content.
Missing, invalid or expired bearer passport.
Media typeapplication/json
object
error
string
Example
{ "error": "JWT passport exception: Missing bearer token in request"}The authenticated user lacks the required board permission.
Media typeapplication/json
object
message
string
Example
{ "message": "This action is unauthorized."}Resource not found, or a nested resource does not belong to its parent in the path.
Media typeapplication/json
object
message
string
Example
{ "message": "Not found."}